@misc{wiki_tie,
	title = {Tensilica Instruction Extension},
	url = {https://en.wikipedia.org/wiki/Tensilica_Instruction_Extension},
	note = {Stand 13.02.2017}
}

@misc{wiki_ancientmult,
	title = {Ancient Egyptian multiplication},
	url = {https://en.wikipedia.org/wiki/Ancient_Egyptian_multiplication},
	note = {Stand 20.02.2017}
}

@article{ward2003efficient,
  title={Efficient hardware calculation of inverses in GF (28)},
  author={Ward, RW and Molteno, TCA},
  journal={Proceedings of ENZCon},
  volume={3},
  year={2003}
}

@misc{Rudra_efficientimplementation,
    author = {Atri Rudra and Pdadeep K. Dubey and Charanjit S. Jutla and Vijay Kumar and Josyula R. Rao and R. Rao and Pankaj Rohatgi},
    title = {Efficient Implementation of Rijndael Encryption With Composite Field Arithmetic},
    year = {}
}

@book{paar1994efficient,
  title={Efficient VLSI architectures for bit parallel computation in Galois fields},
  author={Paar, Christof},
  year={1994},
  publisher={VDI-Verlag}
}

@book{kurzweilendlich,
  author    = {Hans Kurzweil}, 
  title     = {Endliche Körper},
  publisher = {Springer-Lehrbuch},
  year      = 2008,
  isbn      = {978-3-540-79597-1}
}

@book{Lin:2004:ECC:983680,
 author = {Lin, Shu and Costello, Daniel J.},
 title = {Error Control Coding, Second Edition},
 year = {2004},
 isbn = {0130426725},
 publisher = {Prentice-Hall, Inc.},
 address = {Upper Saddle River, NJ, USA},
}

@book{karpfingermeybergeralgebra,
  author    = {Christian Karpfinger and Kurt Meyberg}, 
  title     = {Algebra : Gruppen — Ringe — Körper},
  publisher = {Spektrum Akademischer Verlag},
  year      = 2009,
  isbn      = {9783827420183}
}

@article{abd2014efficient,
  title={An Efficient Pipelined Multiplicative Inverse Architecture for the AES Cryptosystem},
  author={Abd-El-Barr, Mostafa and Khattab, Amro},
  journal={International Journal of Information and Electronics Engineering},
  volume={4},
  number={2},
  pages={81},
  year={2014},
  publisher={IACSIT Press}
}

@article{morii1989efficient,
  title={Efficient construction of gate circuit for computing multiplicative inverses over GF (2 m)},
  author={Morii, Masakatu and Kasahara, Masao},
  journal={IEICE TRANSACTIONS (1976-1990)},
  volume={72},
  number={1},
  pages={37--42},
  year={1989},
  publisher={The Institute of Electronics, Information and Communication Engineers}
}

@techreport{tieug,
  title={Tensilica Instruction Extension (TIE) Language User's Guide},
  institution={Tensilica, Inc.},
  year={2011}
}

@techreport{tierm,
  title={Tensilica Instruction Extension (TIE) Language Reference Manual},
  institution={Tensilica, Inc.},
  year={2011}
}

@techreport{xtensalx5,
  title={Processor Configuration Summary},
  institution={Vodafone Chair Mobile Communication Systems ,TU Dresden},
  year={2016}
}

@article{li2003linear,
  title={Linear network coding},
  author={Li, S-YR and Yeung, Raymond W and Cai, Ning},
  journal={IEEE transactions on information theory},
  volume={49},
  number={2},
  pages={371--381},
  year={2003},
  publisher={IEEE}
}

@book{yeung2008information,
  title={Information theory and network coding},
  author={Yeung, Raymond W},
  year={2008},
  publisher={Springer Science \& Business Media}
}

@inproceedings{chou2003practical,
  title={Practical network coding},
  author={Chou, Philip A and Wu, Yunnan and Jain, Kamal},
  booktitle={Proceedings of the annual Allerton conference on communication control and computing},
  volume={41},
  number={1},
  pages={40--49},
  year={2003},
  organization={The University; 1998}
}

@inproceedings{plank2013screaming,
  title={Screaming fast Galois field arithmetic using intel SIMD instructions.},
  author={Plank, James S and Greenan, Kevin M and Miller, Ethan L},
  booktitle={FAST},
  pages={299--306},
  year={2013}
}

@misc{corei73770,
	title = {Intel Core i7 3770 Specification},
	url = {http://ark.intel.com/products/65719/Intel-Core-i7-3770-Processor-8M-Cache-up-to-3_90-GHz},
	note = {Stand 23.03.2017}
}